#ifndef lq_nl_h
#define lq_nl_h 1

#include <lq_nl_com.h>


/* Variables */
extern short			lq_nl_debug;
extern void			(*lq_nl_getstats_cb) (lq_stats *s);

/* Functions */
extern char			*lq_nl_strerror (void);
extern int			lq_nl_init (void);
extern int			lq_nl_stop (void);
extern char			*lq_nl_dump (void *data);
extern int			lq_nl_send (struct lq_nl_pak *req);
extern int			lq_nl_encode (short cmd, lq *O, struct lq_nl_pak *req);
extern int			lq_nl_getstats (short type, int ifindex, void (*f)(lq_stats *));

/* interface */
extern int			lq_nl_getif (char *name);
extern void			lq_nl_listifs (void);
extern struct lq_nl_if	*lq_nl_getif_byindex(int index);

#endif
